Skip to main content
`Ctrl`+`K`

# EPSPRIMMEGetMethod

Gets the method for the PRIMME library.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSPRIMMEGetMethod(EPS eps,EPSPRIMMEMethod *method)

Not Collective

## Input Parameter

- eps - the linear eigensolver context

## Output Parameter

- method - method that will be used by PRIMME

## See Also

EPS: Eigenvalue Problem Solver, `EPSPRIMME`, `EPSPRIMMESetMethod()`, `EPSPRIMMEMethod`

## Level

advanced

## Location

src/eps/impls/external/primme/primme.c

## Implementations

EPSPRIMMEGetMethod_PRIMME() in src/eps/impls/external/primme/primme.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages